
Audacious - Support #1089

Folders don't open on Qt mode

April 11, 2021 20:02 - Marios Sallas

Status: Closed Start date: April 11, 2021

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 4.1   

Description

When i try to open or add folders using qt mode nothing happens.

The dialog opens, i choose a folder, click open and then nothing.

I have to choose "add files" or "open files", browse to a folder and add them, then choose a subfolder, add files and so on.

This happens to Fedora 33 KDE (Plasma 5.20.5) and PcLos KDE (plasma 5.21.3), both using X11 (no wayland).

When i restart in gtk mode everything works fine.

I hope you fix it soon, i miss the recursive functionality of adding folders.

History

#1 - April 12, 2021 23:54 - John Lindgren

- Tracker changed from Bug to Support

It works for me on OpenSUSE (KDE Plasma 5.18.6).

#2 - April 19, 2021 03:42 - John Lindgren

Maybe related to https://bugs.kde.org/show_bug.cgi?id=419874 ?

#3 - August 27, 2021 22:59 - John Lindgren

Is anyone else able to reproduce this issue?

#4 - December 24, 2021 18:00 - John Lindgren

- Status changed from New to Closed

Sorry we couldn't find a solution.  If you find any new information that might be relevant, please feel free to open a topic on the forum.

#5 - March 06, 2022 16:55 - bitchef bird

Hi,

I am experiencing the same phenomenon with  audacious 4.1 on Gentoo.

Actions performed:   

Start audacious in a terminal.

Then from the GUI select:

File > Open Folder .. > (choose a folder) click "Open" button

or

File > Add  Folder .. > (choose a folder) click "Add"  button

Expected:   

All music files in the designated folder are added to the playlist.

Observed:   

In both cases the dialog box stays open, no file is added to the playlist, and I get the following message in my terminal

 Qt: Session management error: networkIdsList argument is NULL
In order to pinpoint the root cause of the malfunction, I  tried to build audacious from source after downloading it from github

per the instructions here https://audacious-media-player.org/developers.

Unfortunately, after executing the following commands from the audacious folder:

./autogen.sh

./configure

make

 

The resulting executable in ./src/audacious/audacious ends up getting linked to my system's libraries, instead of the ones in ./src/audacious.

Here is the output from ldd:

ldd ./src/audacious/audacious

        linux-vdso.so.1 (0x00007ffe9d12b000)

        libaudcore.so.5 => /usr/lib64/libaudcore.so.5 (0x00007f568e669000)

        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f568e649000)

        libgio-2.0.so.0 => /usr/lib64/libgio-2.0.so.0 (0x00007f568e473000)

        libgobject-2.0.so.0 => /usr/lib64/libgobject-2.0.so.0 (0x00007f568e41a000)

        libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007f568e2e6000)

        libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/11.2.0/libstdc++.so.6 (0x00007f568e0d2000)

        libm.so.6 => /lib64/libm.so.6 (0x00007f568df8f000)

        libgcc_s.so.1 => /usr/lib/gcc/x86_64-pc-linux-gnu/11.2.0/libgcc_s.so.1 (0x00007f568df74000)

        libc.so.6 => /lib64/libc.so.6 (0x00007f568ddba000)

        libgmodule-2.0.so.0 => /usr/lib64/libgmodule-2.0.so.0 (0x00007f568ddb4000)

        libQt5Core.so.5 => /usr/lib64/libQt5Core.so.5 (0x00007f568d86c000)

        /lib64/ld-linux-x86-64.so.2 (0x00007f568e71e000)

        libz.so.1 => /lib64/libz.so.1 (0x00007f568d852000)

        libmount.so.1 => /lib64/libmount.so.1 (0x00007f568d7f0000)

        libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f568d7d6000)

        libffi.so.7 => /usr/lib64/libffi.so.7 (0x00007f568d7ca000)

        libpcre.so.1 => /lib64/libpcre.so.1 (0x00007f568d751000)

        libdl.so.2 => /lib64/libdl.so.2 (0x00007f568d74b000)

        libsystemd.so.0 => /lib64/libsystemd.so.0 (0x00007f568d668000)

        libdouble-conversion.so.3 => /usr/lib64/libdouble-conversion.so.3 (0x00007f568d652000)

        libicui18n.so.70 => /usr/lib64/libicui18n.so.70 (0x00007f568d338000)

        libicuuc.so.70 => /usr/lib64/libicuuc.so.70 (0x00007f568d142000)

        libpcre2-16.so.0 => /usr/lib64/libpcre2-16.so.0 (0x00007f568d0b6000)

        libblkid.so.1 => /lib64/libblkid.so.1 (0x00007f568d060000)

        librt.so.1 => /lib64/librt.so.1 (0x00007f568d054000)

        libzstd.so.1 => /usr/lib64/libzstd.so.1 (0x00007f568cf9b000)

        liblz4.so.1 => /usr/lib64/liblz4.so.1 (0x00007f568cf78000)

        libcap.so.2 => /lib64/libcap.so.2 (0x00007f568cf6b000)

        libgcrypt.so.20 => /usr/lib64/libgcrypt.so.20 (0x00007f568ce5e000)

        libicudata.so.70 => /usr/lib64/libicudata.so.70 (0x00007f568b240000)

        libgpg-error.so.0 => /usr/lib64/libgpg-error.so.0 (0x00007f568b217000)

 

From what I can gather after exploring the code, I surmised that files in a directory aren't properly listed after invoking the function file_opener_show

with FileMode::OpenFolder or FileMode::AddFolder at

https://github.com/audacious-media-player/audacious/blob/1dd69cb15d0326b9c8d21fab39d66a48c089a0f7/src/libaudqt/fileopener.cc#L52

To Open or Add a folder, the dialog's filemode is set to QFileDialog::Directory (see

https://github.com/audacious-media-player/audacious/blob/1dd69cb15d0326b9c8d21fab39d66a48c089a0f7/src/libaudqt/fileopener.cc#L67

and

https://github.com/audacious-media-player/audacious/blob/1dd69cb15d0326b9c8d21fab39d66a48c089a0f7/src/libaudqt/fileopener.cc#L75).

Later when the event handler for the validation button is triggered, we try to list all files in the selected folder 

https://github.com/audacious-media-player/audacious/blob/1dd69cb15d0326b9c8d21fab39d66a48c089a0f7/src/libaudqt/fileopener.cc#L98

but per Qt's documentation https://doc.qt.io/qt-5/qfiledialog.html#selectedUrls

QFileDialog::selectedUrls() const

 Returns a list of urls containing the selected files in the dialog. 

If no files are selected, or the mode is not ExistingFiles or ExistingFile, 

selectedUrls() contains the current path in the viewport.

 

we end up with just the current path in the viewport (not a list of URLs) and fail to perform the desired action.

Since I could not figure out how to link my build to the local libraries, I was unable to test this hypothesis.
I'll be happy to help. So if you have some documentation on how to set up my development environment, I am all ears!

I hope this new data point will be of use.

(Apologies if this is not the right place to post. I am new here.)

Installed version:

media-plugins/audacious-plugins 4.1

media-sound/audacious 4.1

 

dev-qt/qtcore 5.15.2-r14

kde-frameworks/plasma 5.90.0-r1

kde-plasma/plasma-desktop 5.23.5-r1

x11-base/xorg-server 21.1.3

 

Environment:

Portage 3.0.30 (python 3.9.9-final-0, default/linux/amd64/17.1/desktop/plasma/systemd, gcc-11.2.0, glibc-2.33-r7, 5.15.23-gentoo x86_64)

=================================================================

Timestamp of repository gentoo: Sun, 06 Mar 2022 06:30:01 +0000

Head commit of repository gentoo: 595d57be87fef04ee62ecdd9ed3dd2c7f444ee2c

sh bash 5.1_p16

ld GNU ld (Gentoo 2.37_p1 p2) 2.37

app-shells/bash:           5.1_p16::gentoo

dev-lang/perl:             5.34.0-r6::gentoo

dev-lang/python:           3.7.12_p1::gentoo, 3.8.12_p1-r1::gentoo, 3.9.9-r1::gentoo, 3.10.0_p1-r1::gentoo

dev-util/cmake:            3.22.2::gentoo

dev-util/meson:            0.60.3::gentoo

sys-devel/autoconf:        2.13-r1::gentoo, 2.71-r1::gentoo

sys-devel/automake:        1.13.4-r2::gentoo, 1.14.1-r2::gentoo, 1.16.4::gentoo

sys-devel/binutils:        2.37_p1-r2::gentoo

sys-devel/binutils-config: 5.4::gentoo

sys-devel/clang:           13.0.0::gentoo

sys-devel/gcc:             11.2.0::gentoo

sys-devel/gcc-config:      2.5-r1::gentoo

sys-devel/libtool:         2.4.6-r6::gentoo

sys-devel/llvm:            13.0.0::gentoo

sys-devel/make:            4.3::gentoo

sys-kernel/linux-headers:  5.15-r3::gentoo (virtual/os-headers)

sys-libs/glibc:            2.33-r7::gentoo

March 20, 2024 3/4



#6 - March 06, 2022 21:10 - John Lindgren

Thanks for the additional info.  The forums are the best place to ask about issues with building Audacious.  Make sure to completely uninstall any

existing installation before trying to build from source.

Does the issue occur only with the KDE file chooser, or also with the generic Qt file chooser?

#7 - March 07, 2022 08:02 - bitchef bird

Hi,

Thanks for the fast response. Before uninstalling audacious, I installed and switched to a new window manager (i3). Judging from audacious' aspect it

must be running the generic Qt GUI. And lo and behold, audacious works flawlessly. I can open/add a folder without a hitch.

The problem described previously occurs only when audacious is launched from KDE. So my hypothesis is invalid!

The only remaining explanation is a bad interaction with the KDE file chooser. Any pointers on how to test it?

#8 - March 07, 2022 14:56 - John Lindgren

Could you please report the issue to KDE? If they push back and say it's something wrong on the Audacious side, that's fine, but let's at least get

someone from KDE involved in the conversation.

#9 - March 07, 2022 17:15 - bitchef bird

Hi,

Thanks you so much for the help. I added my voice to the chorus, as apparently there is already a bug report dating back to October 2020 raising the

issue. https://bugs.kde.org/show_bug.cgi?id=428181#c9

I hope I didn't take too much of your time. Thanks again!

#10 - May 24, 2022 16:10 - David W

I do not seem to get this issue on windows 10 or Linux Mint 20 with Qt active just a heads up.
